classdef Pixel < Point & handle
%% CLASS Pixel, a subclass of the handle and Point classes
%
% Class to model Pixel objects which provide a representation of the
% coordinates, population, and clutter characteristics of a particular
% location. It also stores random variables used in the calculation
% correlated of shadow fading and building penetration loss values
%

% Martin Fenton Version 2.0 21/10/2011

%% Properties of the Pixel class  

    properties

        Population;
        Clutter;
        LocalSFValue;
        LocalBPValue;
        LocalBPDepth;
        BaseSFValues;
        BaseBPValues;

    end
    
%% Methods of the Pixel class  

    methods
        
%% Pixel - the constructor method

        function Pix = Pixel(Coords, Clutter, NumBS)

            if nargin > 0
                Pix.Population = 0;
                Pix.Clutter = Clutter;
                Pix.LocalSFValue = 0;
                Pix.LocalBPValue = 0;
                Pix.LocalBPDepth = 0;
                Pix.BaseSFValues = zeros(NumBS,1);
                Pix.BaseBPValues = zeros(NumBS,1);
                Pix.Coords = Coords;
            else
                Pix.Population = 0;
                Pix.Clutter = 4;
                Pix.LocalSFValue = 0;
                Pix.LocalBPValue = 0;
                Pix.LocalBPDepth = 0;
                Pix.BaseSFValues = zeros(20,1);
                Pix.BaseBPValues = zeros(20,1);
                Pix.Coords = [0 0];
            end
        end
        
    end   

end

