%% SCRIPT downSampleSites
%
% Script to generate an equivalent national network size of [target] sites within the test area. It takes as its
% input the co-ordinates and heights of the base stations from a larger seed network within the test area and
% then randomly samples these sites to generate a network with the required site count 
%

% Martin Fenton - Version 1.0 20/10/11

sourceNetwork = synth20000; % Set sourceNetwork to large network to be sub-sampled
sourceNetworkSize = 20000; % sourceNetworkSize is the size of the equivalent national network the sourceNetwork repesents
networkSizes = ['00500'; '01000'; '02000'; '03000'; '04000'; '05000'; '06000'; '07000'; '08000';...
                '09000'; '10000'; '11000'; '12000'; '13000'; '14000'; '15000'; '16000'; '17000';...
                '18000'; '19000'; '20000'];

maxSize = size(sourceNetwork,1);            
            
tempNo = randi(length(sourceNetwork),100000,1); % Set up array of random integers to use for sub-sampling

for i = 1:size(networkSizes,1)-1
    
    tempSize = ceil(maxSize*str2num(networkSizes(i,:))/sourceNetworkSize);

    eval(['synth', networkSizes(i,:), ' = zeros(tempSize,4);']);
     
    siteNo = ones(10,1);
    j = 1;
    while length(siteNo) < 1 + tempSize
        siteNo(j) = tempNo(j);
        siteNo = unique(siteNo); % 1 + unique(siteNo);
        j = j+1;
    end
    siteNo = siteNo(2:length(siteNo));
    for j = 1:tempSize
        eval(['synth', networkSizes(i,:), '(j,:) = sourceNetwork(siteNo(j),:);']);
    end
end

clear sourceNetwork sourceNetworkSize maxSize tempNo i siteNo j