function x = mod180(val)
%% FUNCTION x = mod180(val)
%
% Function to return the modulus of the input value after division by 180 
% 
% Inputs:
%	val = input value (in degrees)
%
% Outputs:
%	x   = output value (in degrees)
%

% Martin Fenton - Version 1.0 06/04/2011

%% Calculate modulus after devision by 180
    for i=1:length(val)
        if val(i) > 180
            x(i) = mod(val(i),-180);
        elseif val(i) < -180
            x(i) = mod(val(i),180);
        else
            x(i) = val(i);
        end
    end

end